<div class="mat-elevation-z1 table-container">
    <div class="header mat-typography">
        <h4>Totale: <strong>{{total | async}}€</strong></h4>
    </div>
    <mat-table [dataSource]="dataSource" matSort #sss>
        <ng-container matColumnDef="data_inserimento">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Data inserimento</mat-header-cell>
            <mat-cell *matCellDef="let bilancio">{{bilancio.data_inserimento}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="effettuato_da">
            <mat-header-cell *matHeaderCellDef>Effettuato da</mat-header-cell>
            <mat-cell *matCellDef="let bilancio">{{bilancio.effettuato_da}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="entrata">
            <mat-header-cell *matHeaderCellDef>Entrata</mat-header-cell>
            <mat-cell *matCellDef="let bilancio">{{bilancio.entrata}} €</mat-cell>
        </ng-container>
        <ng-container matColumnDef="uscita">
            <mat-header-cell *matHeaderCellDef>Uscita</mat-header-cell>
            <mat-cell *matCellDef="let bilancio">{{bilancio.uscita}} €</mat-cell>
        </ng-container>
        <ng-container matColumnDef="causale">
              <mat-header-cell *matHeaderCellDef>Causale</mat-header-cell>
              <mat-cell *matCellDef="let bilancio">{{bilancio.causale}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="expandedDetail">
            <mat-cell *matCellDef="let bilancio">
                <app-bilancio-row-edit [year]="year" [bilancio]="bilancio.bilancio" *ngIf="canEditBilanci"></app-bilancio-row-edit>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="columns"></mat-header-row>
        <mat-row *matRowDef="let bilancio; columns: ['data_inserimento', 'effettuato_da', 'entrata', 'uscita', 'causale']; when: !isExpansionDetailRow"
                matRipple
                class="element-row"
                [class.linkable]="canEditBilanci"
                [class.expanded]="expandedElement == bilancio.id"
                [class.control]="bilancio.controllo == 1"
                (click)="expandRow(bilancio)"></mat-row>
        <mat-row *matRowDef="let bilancio; columns: ['expandedDetail']; when: isExpansionDetailRow"
                [@detailExpanded]="bilancio.bilancio.id == expandedElement ? 'expanded' : 'collapsed'"
                style="overflow: hidden;" class="detail-row"></mat-row>
    </mat-table>
</div>

<ng-template #loader>
    <div style="display: flex; width: 100%; height: 100%; justify-content: center; align-items: center">
        <mat-spinner [diameter]="40"></mat-spinner>
    </div>
</ng-template>